Bug 186296 - kid fails to run. Raises exception.
kid fails to run. Raises exception.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-kid (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 14:13 EST by john.l.villalovos
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.9.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-30 17:21:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john.l.villalovos 2006-03-22 14:13:41 EST
Description of problem:
Run kid or kidc and it fails.


Version-Release number of selected component (if applicable):
python-kid-0.9-1.fc4


How reproducible:
Run:
# kid
or 
# kidc


Actual results:
[root@navassa ~]# kid
Traceback (most recent call last):
  File "/usr/bin/kid", line 5, in ?
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 2356, in ?
    working_set.require(__requires__)
  File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 585, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.4/site-packages/pkg_resources.py", line 483, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: elementtree


Expected results:
Probably a usage message


Additional info:
Author told me to submit this to remind him.
Comment 1 john.l.villalovos 2006-03-22 14:15:45 EST
These RPMS are all installed on the system that has a problem:
[root@navassa ~]# rpm -q python-kid python-elementtree python-setuptools
python-kid-0.9-1.fc4
python-elementtree-1.2.6-4
python-setuptools-0.6a10-1.fc4

And python-kid package should probably require the python-setuptools package
because other things fail when it is not installed.
Comment 2 Konstantin Ryabitsev 2006-03-28 23:31:00 EST
The buildsystem is a little hosed right now, but the fix is on the way. For now,
just delete /usr/lib/python*/site-packages/kid*egg*/requires.txt.

Note You need to log in before you can comment on or make changes to this bug.